# nlecomposition

A NleComposition contains NleObjects such as NleSources and NleOperations, and connects them dynamically to create a composition timeline.

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBin
                        ╰──NleObject
                            ╰──nlecomposition

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Wim Taymans , Edward Hervey , Mathieu Duponchelle , Thibault Saunier

Classification: – `Filter/Editor`

Rank – none

Plugin – nle

Package – GStreamer Editing Services

## Pad Templates

### `src`

    ANY

Presence – always

Direction – src

Object type – GstPad

## Signals

### commited

    commited_callback (GstElement * param_0,
                       gboolean arg0,
                       gpointer udata)

    def commited_callback (param_0, arg0, udata):
        #python callback for the 'commited' signal

    function commited_callback(param_0: GstElement * param_0, arg0: gboolean arg0, udata: gpointer udata): {
        // javascript callback for the 'commited' signal
    }

Parameters:

`param_0` –
No description available
`arg0` –
No description available
`udata` –
No description available

Flags: Run First

## Properties

### drop-tags

    “drop-tags” gboolean

Whether the composition should drop tags from its children

Flags : Read / Write

Default value : true

Since : 1.20

### id

    “id” gchararray

The stream-id of the composition

Flags : Read / Write

Default value : NULL

The results of the search are